****************************************************************
**  RANDOM.SAS  To read in the Poland random data set.        **
**                                                            **
**  March 30, 1998 :  Kris Kracker                            **
****************************************************************;

options missing='';
options errors=1;

data random;
  infile 'dkb200:[demodata]random.dat';
  input  @1 rectype $1.
         @2 voivod 1.
         @3 id 11.
        @14 alp 1.
        @15 reg1 2.
        @17 reg2 3.
        @20 regdte ddmmyy6.
        @26 firstdte ddmmyy6.
        @32 birthdte ddmmyy6.
        @38 sex 1.
        @39 educ 1.
        @40 priorsit $1.
        @41 earn1 4.
        @45 earn2 $1.
        @46 lastwork 1.
        @47 jobcode 3.
        @50 disable 1.
        @51 zuslevel 1.
        @52 esreg 1.
        @53 unem0194 $1.
        @54 unem0294 $1.
        @55 unem0394 $1.
        @56 unem0494 $1.
        @57 unem0594 $1.
        @58 unem0694 $1.
        @59 unem0794 $1.
        @60 unem0894 $1.
        @61 unem0994 $1.
        @62 unem1094 $1.
        @63 unem1194 $1.
        @64 unem1294 $1.
        @65 unem0195 $1.
        @66 unem0295 $1.
        @67 unem0395 $1.
        @68 unem0495 $1.
        @69 unem0595 $1.
        @70 unem0695 $1.
        @71 unem0795 $1.
        @72 unem0895 $1.
        @73 unem0995 $1.
        @74 unem1095 $1.
        @75 unem1195 $1.
        @76 unem1295 $1.
        @77 unem0196 $1.
        @78 unem0296 $1.
        @79 unem0396 $1.
        @80 unem0496 $1.
        @81 unem0596 $1.
        @82 unem0696 $1.
        @83 unem0796 $1.
        @84 unem0896 $1.
        @85 unem0996 $1.
        @86 unem1096 $1.
        @87 unem1196 $1.
        @88 unem1296 $1.
        @89 inter 1.
        @90 compay3 1.
        @91 ucjan94 1.
        @92 ucnow 1.
        @93 workep 3.
        @96 reason 1.
        @97 ltu 1.
        @98 nonltu 1.
        @99 hiurate 1.
       @100 lowurate 1.
       @101 occnodat 1.
       @102 occmgr 1.
       @103 occprof 1.
       @104 occtech 1.
       @105 occclerk 1.
       @106 occserve 1.
       @107 occskill 1.
       @108 occunskl 1.
       @109 occother 1.
       @110 occnorsp 1.
       @111 whitecol 1.
       @112 bluecol 1.
       @113 otherocc 1.
       @114 male 1.
       @115 female 1.
       @116 edelem 1.
       @117 edvoc1 1.
       @118 edvoc2 1.
       @119 edgym 1.
       @120 edcoll 1.
       @121 edvoc 1.
       @122 physdis 1.
       @123 pesreg 1.
       @124 volun 1.
       @125 nonvol 1.
       @126 exp0 1.
       @127 exple3 1.
       @128 expgt3 1.
       @129 exp3t10 1.
       @130 expgt10 1.
       @131 age 3.
       @134 agelt30 1.
       @135 age3044 1.
       @136 agege45 1.
       @137 radom 1.
       @138 gorzow 1.
       @139 konin 1.
       @140 lublin 1.
       @141 katowice 1.
       @142 krakow 1.
       @143 olsztyn 1.
       @144 poznan 1. ;

proc print data=random (obs=10);
run;

